FROM php:8.3-apache

# Installer les dépendances pour l'extension zip
RUN apt-get update && apt-get install -y \
    libzip-dev nano zip \
  && docker-php-ext-install zip;

COPY --from=composer:latest /usr/bin/composer /usr/bin/composer

COPY cv2-api.conf /etc/apache2/sites-available/000-default.conf

WORKDIR /var/www/html

CMD ["apachectl", "-D", "FOREGROUND"]